import os


def file_like_exists(path: str) -> bool:
    """
    Check whether a file-like object (i.e. a file or directory) is present at the given path.

    :param path: The given path.
    :type path: str
    :return: True, if a file-like object is present, False otherwise.
    """
    return os.path.exists(path)


def file_exists(path: str) -> bool:
    """
    Check whether a (regular) file is present at the given path.

    :param path: The given path.
    :type path: str
    :return: True, if a file is present. False if the path does not exist at all or
        if the path represents a directory.
    """
    return os.path.isfile(path)


def dir_exists(path: str) -> bool:
    """
    Check whether a directory is present at the given path.

    :param path: The given path.
    :type path: str
    :return: True, if a directory is present. False if the path does not exist at all or
        if the path represents a (regular) file.
    """
    return os.path.isdir(path)
