import os


def expand_path(path: str) -> str:
    """
    Maximally expand a path.

    :param path: The given path.
    :type path: str
    :return: The absolute path corresponding to the given path with special characters
        (like ~) and environment variables expanded.
    """
    path = os.path.expanduser(path)
    path = os.path.expandvars(path)
    return os.path.abspath(path)
